Skip to main content
PUT
/
revenue
/
{id}
Update a revenue item
curl --request PUT \
  --url https://web.subly.app/api/v1/revenue/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "amount": 123,
  "is_recurring": true,
  "billing_freq": 123,
  "category": "<string>",
  "tags": [
    123
  ],
  "nextPaymentDate": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "currency": "<string>",
  "isActive": true,
  "website": "<string>",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://web.subly.app/api/v1/revenue/{id}"

payload = {
"name": "<string>",
"amount": 123,
"is_recurring": True,
"billing_freq": 123,
"category": "<string>",
"tags": [123],
"nextPaymentDate": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"currency": "<string>",
"isActive": True,
"website": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
amount: 123,
is_recurring: true,
billing_freq: 123,
category: '<string>',
tags: [123],
nextPaymentDate: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z',
currency: '<string>',
isActive: true,
website: '<string>',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://web.subly.app/api/v1/revenue/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "amount": 123,
  "is_recurring": true,
  "billing_freq": 123,
  "category": "<string>",
  "tags": [
    123
  ],
  "nextPaymentDate": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "currency": "<string>",
  "isActive": true,
  "website": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

x-api-key
string
header
required

Your private API key for authentication. This key identifies your workspace for all requests.

Path Parameters

id
string<uuid>
required

The unique identifier of the revenue item.

Body

application/json
name
string
amount
number<float>
is_recurring
boolean
billing_freq
integer
billing_range
enum<string>
Available options:
day,
week,
month,
year
category
string
tags
integer[]
nextPaymentDate
string<date-time>
end_date
string<date-time>
currency
string
isActive
boolean
website
string<uri>
project_id
string<uuid>

Response

Revenue item updated successfully.

id
string<uuid>
read-only

Unique identifier for the revenue item.

name
string

Name of the revenue source.

amount
number<float>

The monetary amount of the revenue.

is_recurring
boolean

Flag indicating if the revenue is recurring.

billing_freq
integer

Numeric value for billing frequency. Required if recurring.

billing_range
enum<string>

Time unit for billing frequency. Required if recurring.

Available options:
day,
week,
month,
year
category
string

Category for the revenue item.

tags
integer[]

Array of tag IDs for organization.

nextPaymentDate
string<date-time>

Date of the next expected payment. Required if recurring.

end_date
string<date-time>

Date the recurring revenue stream ends.

currency
string

ISO 4217 currency code for the amount.

isActive
boolean

Whether the revenue item is currently active.

website
string<uri>

Associated URL, e.g., a client's website.

workspace_id
string<uuid>
read-only

Identifier of the workspace this revenue belongs to.

project_id
string<uuid>

Identifier of the project this revenue is assigned to.